<?php

namespace MintyPHP\Repository\Access;

interface PermissionRepositoryInterface
{
    public function list(): array;

    public function listActive(): array;

    public function listPaged(array $options): array;

    public function find(int $id): ?array;

    public function findByKey(string $key): ?array;

    public function create(array $data): ?int;

    public function update(int $id, array $data): bool;

    public function delete(int $id): bool;
}
